import { ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { GlobalRef } from '../../services/global/global.service';
import { GooglePlacesService } from './places.service';
export interface Settings {
    geoPredictionServerUrl?: string;
    geoLatLangServiceUrl?: string;
    geoLocDetailServerUrl?: string;
    geoCountryRestriction?: any;
    geoTypes?: any;
    geoLocation?: any;
    geoRadius?: number;
    serverResponseListHierarchy?: any;
    serverResponseatLangHierarchy?: any;
    serverResponseDetailHierarchy?: any;
    resOnSearchButtonClickOnly?: boolean;
    useGoogleGeoApi?: boolean;
    inputPlaceholderText?: string;
    inputString?: string;
    showSearchButton?: boolean;
    showRecentSearch?: boolean;
    showCurrentLocation?: boolean;
    recentStorageName?: string;
    noOfRecentSearchSave?: number;
    currentLocIconUrl?: string;
    searchIconUrl?: string;
    locationIconUrl?: string;
}
export declare class PlacesListComponent implements OnInit, OnChanges {
    private platformId;
    private _elmRef;
    private _global;
    private _googlePlacesService;
    userSettings: Settings;
    term: string;
    termChange: EventEmitter<any>;
    select: EventEmitter<any>;
    locationInput: string;
    gettingCurrentLocationFlag: boolean;
    dropdownOpen: boolean;
    recentDropdownOpen: boolean;
    queryItems: any;
    isSettingsError: boolean;
    settingsErrorMsg: string;
    settings: Settings;
    private moduleinit;
    private selectedDataIndex;
    private recentSearchData;
    private userSelectedOption;
    private defaultSettings;
    constructor(platformId: Object, _elmRef: ElementRef, _global: GlobalRef, _googlePlacesService: GooglePlacesService);
    ngOnInit(): any;
    ngOnChanges(): any;
    searchinputClickCallback(event: any): any;
    searchinputCallback(event: any): any;
    activeListNode(index: number): any;
    selectedListNode(event: MouseEvent, index: number): any;
    closeAutocomplete(event: any): any;
    userQuerySubmit(selectedOption?: any): any;
    currentLocationSelected(): any;
    private moduleInit;
    private processSearchQuery;
    private setUserSettings;
    private getListQuery;
    private extractServerList;
    private updateListItem;
    private showRecentSearch;
    private getCurrentLocationInfo;
    private getPlaceLocationInfo;
    private setRecentLocation;
    private getRecentLocations;
}
